function importTemplateFile(fileElementId) {

    // the .kmt file is a JSON file
    let jsonFile = document.getElementById(fileElementId).files[0];

    const reader = new FileReader();

    reader.addEventListener(
        "load",
        () => {
          // parse JSON into a JS object
          let tmplObject = JSON.parse(reader.result);
          // and load up the internal dom
          if (fileElementId == "import_template") {
            populateDom(tmplObject);                    // in populateDom.js
          }
          else if (fileElementId == "import_template_2") {
            importSections(tmplObject);                 // in populateDom.js
          }
        },
        false,
    );

      if (jsonFile) {
        reader.readAsText(jsonFile);
      }  
}

